| Home | Libraries | People | FAQ | More

##### url::set_host_ipv4

Set the host to an address.

###### Synopsis

    url&
    set_host_ipv4(
        ipv4_address const& addr);

###### Description

The host is set to the specified IPv4 address. The host type is `host_type::ipv4`.

###### Example

    assert( url( "http://www.example.com" ).set_host_ipv4( ipv4_address( "127.0.0.1" ) ).buffer() == "http://127.0.0.1" );

###### Complexity

Linear in `this->size()`.

###### Postconditions

    this->has_authority() == true && this->host_ipv4_address() == addr && this->host_type() == host_type::ipv4

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`addr` | The address to set.

###### BNF

    IPv4address = dec-octet "." dec-octet "." dec-octet "." dec-octet

    dec-octet   = DIGIT                 ; 0-9
                / %x31-39 DIGIT         ; 10-99
                / "1" 2DIGIT            ; 100-199
                / "2" %x30-34 DIGIT     ; 200-249
                / "25" %x30-35          ; 250-255

###### Specification

- IPv4 (Wikipedia)
- 3.2.2. Host (rfc3986)

###### See Also

`set_encoded_host`, `set_encoded_host_address`, `set_encoded_host_name`, `set_host`, `set_host_address`, `set_host_ipv6`, `set_host_ipvfuture`, /root/project/libs/url/include/boost/url/url.hpp